com.io7m.jcanephora.core

## Class JCGLVersion.Builder

- java.lang.Object
- - com.io7m.jcanephora.core.JCGLVersion.Builder

- Enclosing class:
    JCGLVersion

      public static final class JCGLVersion.Builder
      extends Object

  Builds instances of type `JCGLVersion`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JCGLVersion` | `build()` Builds a new `JCGLVersion`.
    `JCGLVersion.Builder` | `from(JCGLVersionType instance)` Fill a builder with attribute values from the provided `JCGLVersionType` instance.
    `JCGLVersion.Builder` | `setNumber(JCGLVersionNumber number)` Initializes the value for the `number` attribute.
    `JCGLVersion.Builder` | `setText(String text)` Initializes the value for the `text` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final JCGLVersion.Builder from(JCGLVersionType instance)

      Fill a builder with attribute values from the provided `JCGLVersionType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setNumber

          public final JCGLVersion.Builder setNumber(JCGLVersionNumber number)

      Initializes the value for the `number` attribute.
      Parameters:
        `number` - The value for number
      Returns:
        `this` builder for use in a chained invocation

    - #### setText

          public final JCGLVersion.Builder setText(String text)

      Initializes the value for the `text` attribute.
      Parameters:
        `text` - The value for text
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public JCGLVersion build()

      Builds a new `JCGLVersion`.
      Returns:
        An immutable instance of JCGLVersion
      Throws:
        `IllegalStateException` - if any required attributes are missing

Copyright © 2017 <code@io7m.com> http://io7m.com